## qgis 1.7.4+1.7.5~20120320

=== CMakeLists.txt ===
SET(CPACK_PACKAGE_VERSION_MAJOR "1")
SET(CPACK_PACKAGE_VERSION_MINOR "7")
SET(CPACK_PACKAGE_VERSION_PATCH "5")
SET(COMPLETE_VERSION ${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH})
SET(RELEASE_NAME "Wroclaw")
SET(PROJECT_VERSION ${COMPLETE_VERSION})
PROJECT(qgis${PROJECT_VERSION})
IF (APPLE)
  SET(QGIS_APP_NAME "QGIS")
ELSE (APPLE)
  SET(QGIS_APP_NAME "qgis")
ENDIF (APPLE)

# Note the version no is Mmmpp for Major/minor/patch, 0-padded, thus '10100' for 1.1.0
MATH(EXPR QGIS_VERSION_INT "${CPACK_PACKAGE_VERSION_MAJOR}*10000+${CPACK_PACKAGE_VERSION_MINOR}*100+${CPACK_PACKAGE_VERSION_PATCH}")
MESSAGE(STATUS "Quantum GIS version: ${COMPLETE_VERSION} ${RELEASE_NAME} (${QGIS_VERSION_INT})")

# TODO:
# - install includes for libs
# - nice output when configured
# - rename *.ui files to have the same filename as their implementation
#   e.g. instead of blahblahbase.ui use blahblah.ui
#   because it's more common in Qt4 
# Note on last point above by Tim Sutton - I prefer to have the base suffix
# as it indicates the ui generated class will be a base class for the widget.

#############################################################
# CMake settings

# 2.6 required for QtWebkit
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(CMAKE_COLOR_MAKEFILE ON)

# set path to additional CMake modules
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# in generated makefiles use relative paths so the project dir is moveable
# Note commented out since it cause problems but it would be nice to resolve these and enable
# 
# issue is caused by INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}) near the end of this file generating incorrect path 
#SET (CMAKE_USE_RELATIVE_PATHS ON)

# it's possible to set PLUGINS_ALSO_BINARIES to TRUE
# then some plugins that can run as standalone apps will be built
# also as standalone apps
SET (PLUGINS_ALSO_BINARIES FALSE)


# try to configure and build GRASS plugin by default
SET (WITH_GRASS TRUE CACHE BOOL "Determines whether GRASS plugin should be built")
IF (WITH_GRASS)
  FIND_PACKAGE(GRASS)
  SET (GRASS_PREFIX ${GRASS_PREFIX} CACHE PATH "Path to GRASS base directory")
ENDIF (WITH_GRASS)

# mapserver by us disabled default because it needs FastCGI (which is optional dependency)
SET (WITH_MAPSERVER FALSE CACHE BOOL "Determines whether QGIS mapserver should be built")

# include doxygen documentation
SET (WITH_APIDOC FALSE CACHE BOOL "Determines whether the QGIS API doxygen documentation should be built")

# try to configure and build POSTGRESQL support
SET (WITH_POSTGRESQL TRUE CACHE BOOL "Determines whether POSTGRESQL support should be built")
IF (WITH_POSTGRESQL)
  SET (POSTGRESQL_PREFIX "" CACHE PATH "Path to POSTGRESQL base directory")
ENDIF (WITH_POSTGRESQL)

SET (WITH_INTERNAL_QWTPOLAR TRUE CACHE BOOL "Use internal built of QwtPolar")

SET (WITH_SPATIALITE TRUE CACHE BOOL "Determines whether SPATIALITE support should be built")

IF (WITH_SPATIALITE)
  SET (WITH_INTERNAL_SPATIALITE TRUE CACHE BOOL "Determines whether SPATIALITE support should be built internally")
  IF(WITH_INTERNAL_SPATIALITE)
    SET(SPATIALITE_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/src/core/spatialite/headers)
    SET(HAVE_SPATIALITE TRUE)
    IF(WIN32 OR APPLE)
      FIND_PACKAGE(Iconv REQUIRED)
    ENDIF(WIN32 OR APPLE)
  ENDIF (WITH_INTERNAL_SPATIALITE)
ENDIF (WITH_SPATIALITE)

# try to configure and build python bindings by default
SET (WITH_BINDINGS TRUE CACHE BOOL "Determines whether python bindings should be built")
IF (WITH_BINDINGS)
  # By default bindings will be installed only to QGIS directory
  # Someone might want to install it to python site-packages directory
  # as otherwise user has to use PYTHONPATH environemnt variable to add
  # QGIS bindings to package search path
  SET (BINDINGS_GLOBAL_INSTALL FALSE CACHE BOOL "Install bindings to global python directory? (might need root)")
ENDIF (WITH_BINDINGS)

# Compile flag. Make it possible to turn it off.
SET (PEDANTIC TRUE CACHE BOOL "Determines if we should compile in pedantic mode.")

# whether unit tests should be build
SET (ENABLE_TESTS FALSE CACHE BOOL "Build unit tests?")

# hide this variable because building of python bindings might fail
# if set to other directory than expected
MARK_AS_ADVANCED(LIBRARY_OUTPUT_PATH)

#############################################################
# check if lexer and parser are not missing
# http://www.mail-archive.com/cmake@cmake.org/msg02861.html

INCLUDE(Flex)

FIND_FLEX()

IF (NOT FLEX_EXECUTABLE)
  MESSAGE(FATAL_ERROR "Couldn't find Flex")
ENDIF (NOT FLEX_EXECUTABLE)

INCLUDE(Bison)

FIND_BISON()

IF (NOT BISON_EXECUTABLE)
  MESSAGE(FATAL_ERROR "Couldn't find Bison")
ENDIF (NOT BISON_EXECUTABLE)

#############################################################
# search for dependencies

IF(NOT WIN32)
  INCLUDE(CheckFunctionExists)
  CHECK_FUNCTION_EXISTS(openpty OPENPTY_IN_LIBC)
  IF(NOT OPENPTY_IN_LIBC)
    SET(CMAKE_REQUIRED_INCLUDES util.h)
    SET(CMAKE_REQUIRED_LIBRARIES util)
    CHECK_FUNCTION_EXISTS(openpty NEED_LIBUTIL)
    IF(NEED_LIBUTIL)
      SET(OPENPTY_LIBRARY util)
    ELSE(NEED_LIBUTIL)
      MESSAGE (SEND_ERROR "openpty not found!")
    ENDIF(NEED_LIBUTIL)
  ENDIF(NOT OPENPTY_IN_LIBC)
ENDIF(NOT WIN32)

# required
FIND_PACKAGE(Proj)
FIND_PACKAGE(Expat)    # GPS importer plugin
FIND_PACKAGE(GSL)      # Georeferencer
FIND_PACKAGE(GEOS)
FIND_PACKAGE(GDAL)
FIND_PACKAGE(Qwt REQUIRED)
IF (NOT WITH_INTERNAL_QWTPOLAR)
  FIND_PACKAGE(QwtPolar REQUIRED)
ENDIF(NOT WITH_INTERNAL_QWTPOLAR)

IF (NOT WITH_INTERNAL_SPATIALITE)
  FIND_PACKAGE(Sqlite3)
  IF (NOT SQLITE3_FOUND)
    MESSAGE (SEND_ERROR "sqlite3 dependency was not found (try compiling with internal spatialite)!")
  ENDIF (NOT SQLITE3_FOUND)
ENDIF (NOT WITH_INTERNAL_SPATIALITE)

# optional
IF (WITH_POSTGRESQL)
  FIND_PACKAGE(Postgres) # PostgreSQL provider, SPIT plugin
ENDIF (WITH_POSTGRESQL)

IF (WITH_SPATIALITE AND NOT WITH_INTERNAL_SPATIALITE)
  FIND_PACKAGE(SPATIALITE)
ENDIF (WITH_SPATIALITE AND NOT WITH_INTERNAL_SPATIALITE)

IF (NOT PROJ_FOUND OR NOT GEOS_FOUND OR NOT GDAL_FOUND)
  MESSAGE (SEND_ERROR "Some dependencies were not found!")
ENDIF (NOT PROJ_FOUND OR NOT GEOS_FOUND OR NOT GDAL_FOUND)

IF (POSTGRES_FOUND)
  # following variable is used in qgsconfig.h
  SET (HAVE_POSTGRESQL TRUE)
ENDIF (POSTGRES_FOUND)

IF (SPATIALITE_FOUND)
  # following variable is used in qgsconfig.h
  SET (HAVE_SPATIALITE TRUE)
ENDIF (SPATIALITE_FOUND)

#############################################################
# search for Qt4
SET(QT_MIN_VERSION 4.4.0)
FIND_PACKAGE(Qt4 ${QT_MIN_VERSION} REQUIRED)
SET(QT_USE_QTXML 1)
SET(QT_USE_QTNETWORK 1)
SET(QT_USE_QTSVG 1)
SET(QT_USE_QTSQL 1)
SET(QT_USE_QTWEBKIT 1)

IF (NOT QT_QTXML_FOUND OR NOT QT_QTNETWORK_FOUND OR NOT QT_QTSVG_FOUND OR NOT QT_QTSQL_FOUND OR NOT QT_QTWEBKIT_FOUND)
  MESSAGE(SEND_ERROR "Some Qt4 modules haven't been found!")
ENDIF ()

IF (ENABLE_TESTS)
  SET( QT_USE_QTTEST  TRUE )
  ENABLE_TESTING()
ENDIF (ENABLE_TESTS)


INCLUDE( ${QT_USE_FILE} )

# Disable automatic conversion from QString to ASCII 8-bit strings (char *)
# (Keeps code compatible with Qt/Mac/64bit)
ADD_DEFINITIONS(-DQT_NO_CAST_TO_ASCII)

FIND_PROGRAM(QT_LRELEASE_EXECUTABLE
    NAMES lrelease
    PATHS ${QT_BINARY_DIR}
    NO_DEFAULT_PATH
    )

#############################################################
# enable warnings

IF (PEDANTIC)
  MESSAGE (STATUS "Pedantic compiler settings enabled")
  IF(MSVC)
    ADD_DEFINITIONS( /W4 )

    # disable warnings
    ADD_DEFINITIONS( /wd4100 )  # unused formal parameters
    ADD_DEFINITIONS( /wd4127 )  # constant conditional expressions (used in Qt template classes)
    ADD_DEFINITIONS( /wd4510 )  # default constructor could not be generated (sqlite3_index_info, QMap)
    ADD_DEFINITIONS( /wd4512 )  # assignment operator could not be generated (sqlite3_index_info)
    ADD_DEFINITIONS( /wd4610 )  # user defined constructor required (sqlite3_index_info)
    ADD_DEFINITIONS( /wd4706 )  # assignment within conditional expression (pal)
  ELSE (MSVC)
    ADD_DEFINITIONS( -Wall -Wno-long-long -Wformat-security -Wno-strict-aliasing )
    # Qt produces lots of warnings with strict aliasing (as of Qt 4.4.0 & GCC 4.3)
    # ADD_DEFINITIONS( -fstrict-aliasing -Wstrict-aliasing=1 )
  ENDIF (MSVC)
ENDIF (PEDANTIC)

IF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)")
  # spatialite crashes on ppc - see bugs.debian.org/603986
  ADD_DEFINITIONS( -fno-strict-aliasing )
ENDIF(CMAKE_SYSTEM_PROCESSOR MATCHES "^(powerpc|ppc)")

IF (CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
  MESSAGE (STATUS "Debug output enabled")
  ADD_DEFINITIONS(-DQGISDEBUG=1)
ENDIF (CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)

#############################################################
# platform specific stuff

IF (WIN32)
  SET (DEFAULT_LIB_SUBDIR     lib)
  SET (DEFAULT_LIBEXEC_SUBDIR .)
  SET (DEFAULT_DATA_SUBDIR    .)
  SET (DEFAULT_PLUGIN_SUBDIR  plugins)
  SET (DEFAULT_INCLUDE_SUBDIR include)
  
  IF (MSVC)
    SET (DEFAULT_BIN_SUBDIR bin)
    SET (DEFAULT_CGIBIN_SUBDIR bin)
    # put all the build products into a single directory
    # under build (doesnt affect install target) to make for
    # easier debugging.
    #tell msvc compiler to use main instead of winmain as the
    #application entry point
    #SET(QT_USE_QTMAIN TRUE) 
    # Turn on defines for non standard maths stuff
    ADD_DEFINITIONS(-D_USE_MATH_DEFINES)

    # Turn off deprecation warnings
    ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
    ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_WARNINGS)
    
    IF (CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)
      MESSAGE (STATUS "Generating browse files")
      ADD_DEFINITIONS( /FR )
    ENDIF (CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo)

    IF (INSTALL_DEPS)
      INSTALL(DIRECTORY ${INSTALL_DEPS} DESTINATION .)
    ENDIF (INSTALL_DEPS)
  ELSE(MSVC)
    SET (DEFAULT_BIN_SUBDIR .)
    SET (DEFAULT_CGIBIN_SUBDIR .)
  ENDIF(MSVC)
ELSE (WIN32)

  IF (APPLE)
    # for Mac OS X, everything is put inside an application bundle
    SET (QGIS_MACAPP_PREFIX ${CMAKE_INSTALL_PREFIX}/${QGIS_APP_NAME}.app/Contents)
    SET (CMAKE_INSTALL_PREFIX ${QGIS_MACAPP_PREFIX}/MacOS)
    # path for library references
    SET (CMAKE_INSTALL_NAME_DIR @executable_path/lib)
    # 4 bundling levels, each includes previous
    #   0  nothing
    #   1  Qt frameworks
    #   2  non-system libraries, "standard"
    #   3  non-system frameworks, "standalone"
    SET (QGIS_MACAPP_BUNDLE 0 CACHE STRING "What to bundle into app package")
    # if we have @loader_path, >=OSX 10.5 (darwin 9+)
    IF (CMAKE_SYSTEM_VERSION VERSION_GREATER 9.0.0 OR CMAKE_SYSTEM_VERSION VERSION_EQUAL 9.0.0)
        SET (OSX_HAVE_LOADERPATH 1)
    ELSE ()
        SET (OSX_HAVE_LOADERPATH 0)
    ENDIF ()
    #this will define ${APP_SERVICES_LIBRARY}
    FIND_LIBRARY(APP_SERVICES_LIBRARY ApplicationServices )

    SET (DEFAULT_BIN_SUBDIR      bin)
    SET (QGIS_BIN_SUBDIR_REV     ..)
    SET (DEFAULT_CGIBIN_SUBDIR   fcgi-bin)
    SET (QGIS_CGIBIN_SUBDIR_REV  ..)
    SET (DEFAULT_LIB_SUBDIR      lib)
    SET (QGIS_LIB_SUBDIR_REV     ..)
    SET (QGIS_FW_SUBDIR          ../Frameworks)
    SET (QGIS_FW_SUBDIR_REV      ../MacOS)
    SET (DEFAULT_DATA_SUBDIR     ../Resources)
    SET (QGIS_DATA_SUBDIR_REV    ../MacOS)
    SET (DEFAULT_LIBEXEC_SUBDIR  lib/qgis)
    SET (QGIS_LIBEXEC_SUBDIR_REV ../..)
    SET (DEFAULT_PLUGIN_SUBDIR   ../PlugIns/qgis)
    SET (QGIS_PLUGIN_SUBDIR_REV  ../../MacOS)
    SET (DEFAULT_INCLUDE_SUBDIR  include/qgis)

  ELSE (APPLE)
    # UNIX
    SET (DEFAULT_BIN_SUBDIR     bin)
    SET (DEFAULT_CGIBIN_SUBDIR  bin)
    SET (DEFAULT_LIB_SUBDIR     lib${LIB_SUFFIX})
    SET (DEFAULT_DATA_SUBDIR    share/qgis)
    SET (DEFAULT_LIBEXEC_SUBDIR lib${LIB_SUFFIX}/qgis)
    SET (DEFAULT_PLUGIN_SUBDIR  lib${LIB_SUFFIX}/qgis/plugins)
    SET (DEFAULT_INCLUDE_SUBDIR include/qgis)
  ENDIF (APPLE)

=== doc/CMakeLists.txt ===
INCLUDE(Txt2Tags)
FIND_TXT2TAGS()

IF(TXT2TAGS_EXECUTABLE)
  ADD_TXT2TAGS_FILES(QGIS_DOC_FILES INSTALL.t2t CODING.t2t)
  ADD_CUSTOM_TARGET (t2tdoc ALL DEPENDS ${QGIS_DOC_FILES})
ELSE(TXT2TAGS_EXECUTABLE)
  SET(QGIS_DOC_FILES
    ${CMAKE_SOURCE_DIR}/INSTALL 
    ${CMAKE_SOURCE_DIR}/CODING
  )
ENDIF(TXT2TAGS_EXECUTABLE)

SET(QGIS_DOC_FILES ${QGIS_DOC_FILES} index.html changelog.html favicon.ico style.css AUTHORS CONTRIBUTORS SPONSORS DONORS TRANSLATORS)

INSTALL(FILES ${QGIS_DOC_FILES} DESTINATION ${QGIS_DATA_DIR}/doc)
INSTALL(FILES images/qgis_new_80pct.png DESTINATION ${QGIS_DATA_DIR}/doc/images)

IF(WITH_APIDOC)
  FIND_PACKAGE(Doxygen)
  IF(DOXYGEN_FOUND)
    CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/cmake_templates/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
    ADD_CUSTOM_TARGET(apidoc ALL
            COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
            WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
            DEPENDS qgis_core qgis_gui qgis_analysis
            COMMENT "Generating API documentation" VERBATIM)
    INSTALL(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/api/html/ DESTINATION ${QGIS_DATA_DIR}/doc/api)
  ELSE(DOXYGEN_FOUND)
    MESSAGE(STATUS "QGIS api documentation not built - Doxygen not found")
  ENDIF(DOXYGEN_FOUND)
ENDIF(WITH_APIDOC)

#SUBDIRS (images plugins install_guide)

=== images/CMakeLists.txt ===
########################################################
# Files

SET (IMAGE_RCCS  images.qrc)

########################################################
# Build

QT4_ADD_RESOURCES(IMAGE_RCC_SRCS ${IMAGE_RCCS})

########################################################
# Continue on to subdirs
SUBDIRS (north_arrows splash icons themes svg)

=== mac/CMakeLists.txt ===
# mac bundling must happen at end, so all binaries installed
# and install_names can be adjusted
IF (APPLE)
  # for included scripts that set policies (ie OS X bundling)
  INSTALL (CODE "cmake_policy(SET CMP0011 NEW)")
  CONFIGURE_FILE (cmake/0qgis.cmake.in 0qgis.cmake @ONLY)
  INSTALL (SCRIPT ${CMAKE_BINARY_DIR}/mac/0qgis.cmake)
  IF (QGIS_MACAPP_BUNDLE GREATER 0)
    # start with Qt
    CONFIGURE_FILE (cmake/1qt.cmake.in 1qt.cmake @ONLY)
    INSTALL (SCRIPT ${CMAKE_BINARY_DIR}/mac/1qt.cmake)
    IF (QGIS_MACAPP_BUNDLE GREATER 1)
      # next - libs
      CONFIGURE_FILE (cmake/2lib.cmake.in 2lib.cmake @ONLY)
      INSTALL (SCRIPT ${CMAKE_BINARY_DIR}/mac/2lib.cmake)
      IF (QGIS_MACAPP_BUNDLE GREATER 2)
        # last - frameworks
        CONFIGURE_FILE (cmake/3fw.cmake.in 3fw.cmake @ONLY)
        INSTALL (SCRIPT ${CMAKE_BINARY_DIR}/mac/3fw.cmake)
      ENDIF (QGIS_MACAPP_BUNDLE GREATER 2)
    ENDIF (QGIS_MACAPP_BUNDLE GREATER 1)
  ENDIF (QGIS_MACAPP_BUNDLE GREATER 0)
  # user bundling
  IF (QGIS_MACAPP_BUNDLE_USER)
    CONFIGURE_FILE (${QGIS_MACAPP_BUNDLE_USER} 4user.cmake @ONLY)
    INSTALL (SCRIPT ${CMAKE_BINARY_DIR}/mac/4user.cmake)
  ENDIF (QGIS_MACAPP_BUNDLE_USER)
  # tickle app bundle
  INSTALL (CODE "EXECUTE_PROCESS(COMMAND touch \"$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/../../.\")")
ENDIF (APPLE)

=== python/CMakeLists.txt ===
SUBDIRS(plugins)

IF (WITH_INTERNAL_SPATIALITE)
  SUBDIRS(pyspatialite)

  INCLUDE_DIRECTORIES(
    ../src/core/spatialite/headers
    ../src/core/spatialite/headers/spatialite
  )
ENDIF (WITH_INTERNAL_SPATIALITE)

INCLUDE_DIRECTORIES(
    ${PYTHON_INCLUDE_PATH}
    ${SIP_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTNETWORK_INCLUDE_DIR}
    ${QT_QTSVG_INCLUDE_DIR}
    ${QT_QTXML_INCLUDE_DIR}
    ${GDAL_INCLUDE_DIR}
    ${GEOS_INCLUDE_DIR}

    ../src/core
    ../src/core/composer
    ../src/core/raster
    ../src/core/renderer
    ../src/core/spatialindex
    ../src/core/symbology
    ../src/core/symbology-ng
    ${CMAKE_BINARY_DIR}  # qgsconfig.h, qgssvnversion.h
)


# In Windef.h there are min() and max() macros that interfere with the usage
# of std::numeric_limits<T>::min() and :max() in qgsrasterbands.h.
IF(MSVC)
  ADD_DEFINITIONS(-DNOMINMAX)
ENDIF(MSVC)

IF(PYQT4_VERSION_NUM LESS 263680)	# 0x040600
  SET(SIP_DISABLE_FEATURES ${SIP_DISABLE_FEATURES} PROXY_FACTORY)
ENDIF(PYQT4_VERSION_NUM LESS 263680)

IF(NOT PYQT4_VERSION_NUM LESS 263941)	# 0x040705
  SET(SIP_DISABLE_FEATURES ${SIP_DISABLE_FEATURES} QSETINT_CONVERSION)
ENDIF(NOT PYQT4_VERSION_NUM LESS 263941)

IF(NOT PYQT4_VERSION_NUM LESS 264194)	# 0x040802
  SET(SIP_DISABLE_FEATURES ${SIP_DISABLE_FEATURES} QSETTYPE_CONVERSION)
ENDIF(NOT PYQT4_VERSION_NUM LESS 264194)

# core module
FILE(GLOB sip_files_core core/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${sip_files_core})
ADD_SIP_PYTHON_MODULE(qgis.core core/core.sip qgis_core)

# additional gui includes
INCLUDE_DIRECTORIES(
    ../src/gui
    ../src/gui/symbology-ng
    ../src/plugins
    ${CMAKE_BINARY_DIR}/src/gui
    ${CMAKE_BINARY_DIR}/src/ui
)

# gui module
FILE(GLOB sip_files_gui gui/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${sip_files_core} ${sip_files_gui})
ADD_SIP_PYTHON_MODULE(qgis.gui gui/gui.sip qgis_core qgis_gui)

# additional analysis includes
INCLUDE_DIRECTORIES(
    ../src/analysis/vector
    ${CMAKE_BINARY_DIR}/src/analysis/vector
)

# analysis module
FILE(GLOB sip_files_analysis analysis/*.sip)
set(SIP_EXTRA_FILES_DEPEND ${sip_files_core} ${sip_files_analysis})
ADD_SIP_PYTHON_MODULE(qgis.analysis analysis/analysis.sip qgis_core qgis_analysis)


SET (QGIS_PYTHON_DIR ${PYTHON_SITE_PACKAGES_DIR}/qgis)

ADD_CUSTOM_TARGET(compile_python_files ALL)

PYTHON_INSTALL(__init__.py ${QGIS_PYTHON_DIR})
PYTHON_INSTALL(utils.py    ${QGIS_PYTHON_DIR})
PYTHON_INSTALL(console.py  ${QGIS_PYTHON_DIR})

=== resources/CMakeLists.txt ===

INSTALL(FILES srs.db qgis.db qgis_help.db symbology-ng-style.xml spatialite.db
        DESTINATION ${QGIS_DATA_DIR}/resources)

SUBDIRS(context_help)

=== src/CMakeLists.txt ===
SUBDIRS(astyle core analysis ui gui app providers plugins helpviewer)

IF (WITH_BINDINGS)
  SUBDIRS(python)
ENDIF (WITH_BINDINGS)

IF (WITH_MAPSERVER)
  SUBDIRS(mapserver)
ENDIF (WITH_MAPSERVER)

IF (APPLE)
  SUBDIRS(mac)
ENDIF(APPLE)

=== images/north_arrows/CMakeLists.txt ===

FILE (GLOB PNGIMAGES *.png)

INSTALL (FILES ${PNGIMAGES}
         DESTINATION ${QGIS_DATA_DIR}/images/north_arrows)

=== images/splash/CMakeLists.txt ===

FILE (GLOB IMAGES *.png)

INSTALL (FILES ${IMAGES}
         DESTINATION ${QGIS_DATA_DIR}/images/splash)

=== images/svg/CMakeLists.txt ===

SET (SVG_DIRS 
 accommodation
 amenity
 biology
 biology  
 emergency
 entertainment
 food
 geometric
 gpsicons
 health
 icon
 landmark
 money
 north_arrows
 religion
 services
 shopping
 sport
 symbol
 tourist
 transport
)
  

FOREACH (SVG_DIR ${SVG_DIRS})

  FILE (GLOB IMAGES ${SVG_DIR}/*.svg)

  INSTALL (FILES ${IMAGES}
           DESTINATION ${QGIS_DATA_DIR}/svg/${SVG_DIR})

ENDFOREACH (SVG_DIR)

=== python/plugins/CMakeLists.txt ===
SUBDIRS(plugin_installer mapserver_export fTools GdalTools osm)

=== python/pyspatialite/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ../../src/core/spatialite/headers
  ../../src/core/spatialite/headers/spatialite

  ${PYTHON_INCLUDE_PATH}
  ${GEOS_INCLUDE_DIR}
  ${PROJ_INCLUDE_DIR}
)

SET(PYSPATIALITE_SRC
	src/cache.c
	src/connection.c
	src/cursor.c
	src/microprotocols.c
	src/module.c
	src/prepare_protocol.c
	src/row.c
	src/statement.c
	src/util.c
)

ADD_DEFINITIONS(-DMODULE_NAME=\\\"spatialite.dbapi2\\\")

IF (CYGWIN OR APPLE)
  ADD_LIBRARY(pyspatialite MODULE ${PYSPATIALITE_SRC})
ELSE (CYGWIN OR APPLE)
  ADD_LIBRARY(pyspatialite SHARED ${PYSPATIALITE_SRC})
ENDIF (CYGWIN OR APPLE)

IF (NOT APPLE)
  TARGET_LINK_LIBRARIES(pyspatialite ${PYTHON_LIBRARY})
ENDIF (NOT APPLE)

TARGET_LINK_LIBRARIES(pyspatialite ${EXTRA_LINK_LIBRARIES})

IF (APPLE)
  SET_TARGET_PROPERTIES(pyspatialite PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
ENDIF (APPLE)

SET_TARGET_PROPERTIES(pyspatialite PROPERTIES PREFIX "" OUTPUT_NAME _spatialite)
    
IF (WIN32)
  SET_TARGET_PROPERTIES(pyspatialite PROPERTIES SUFFIX ".pyd")
ENDIF (WIN32)

INSTALL(TARGETS pyspatialite DESTINATION "${PYTHON_SITE_PACKAGES_DIR}/pyspatialite")
INSTALL(FILES
	lib/__init__.py
	lib/dbapi2.py
	lib/dump.py
	DESTINATION "${PYTHON_SITE_PACKAGES_DIR}/pyspatialite")

=== debian/changelog ===
qgis (1.7.4+1.7.5~20120320-1.1ubuntu1) saucy; urgency=low

  * Rebuild against grass643.
  * Update FindPythonLibrary.cmake to fix FTBFS against multi-arched Python.
    (LP: #1010508)
  * 30_sip_415.patch: Cherry-picked from upstream, to build against sip >=
    4.15.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 19 Sep 2013 16:14:54 +0200

qgis (1.7.4+1.7.5~20120320-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.7 due to uncoordinated gcc-defaults switch, patch
    by Steven Chamberlain, thanks! (Closes: #673567)
    - 10_fix_gcc4.7_build.patch
  * Set urgency to “high” for the RC bug fix, needed for the gdal
    transition.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 22 May 2012 02:34:43 +0200

qgis (1.7.4+1.7.5~20120320-1) unstable; urgency=low

  The "Sometimes they come back" release.

  * Branching from Qgis tree and adapting to current Debian Policy and
    standards. The target tree is currently set to release-1.7.
    (closes: #661491, #606304, #615683, #616182, #600308)
  * Policy bumped to 3.9.3.
  * Moving to debhelper compatibility level 9.
  * Source format is now 3.0 with quilt support.
  * Merged with 2bf42287 upstream git snapshot.
  * Migrated to dh_python2 instead of python-central.
    (closes: #617048)
  * Snapshot in qgis.org release-1.7: c936d031
  * Added an automagic creation of a lintian override for sqlite embedding.
    This is required for uploading currently.
  * Added missing ${misc:Depends} to make lintian happy.
  * Copyright notes updated and debian/copyright moved to format 1.0.
  * More licenses notices now reported in debian/copyright. Thanks ftpmasters.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 24 Apr 2012 15:12:20 +0200

qgis (1.7.4-1) UNRELEASED; urgency=low

  * new upstream bugfix release

 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 19 Feb 2012 22:35:23 +0100

qgis (1.7.3-1) UNRELEASED; urgency=low

  * new upstream bugfix release

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 10 Dec 2011 17:17:57 +0100

qgis (1.7.2-1) UNRELEASED; urgency=low

  * new upstream bugfix release

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 16 Nov 2011 21:43:47 +0100

qgis (1.7.0) UNRELEASED; urgency=low

  * new development version 1.7 after branch
  * add qgis-sqlanywhere1.7.0 package
  * add road graph plugin
  * drop quickprint and ogrconverter plugin
  * add gdal provider
  * turn qgis-providers-common's architecture to all
  * include api documentation
  * Missing ${python:Depends} added to python-qgis dependencies
    (closes: #611492)
  * move qgis_help to /usr/lib/qgis (closes: #615833)

 -- Jürgen E. Fischer <jef@norbit.de>  Thu, 24 Mar 2011 00:24:01 +0100

qgis (1.6.0) UNRELEASED; urgency=low

  * new development version 1.6 after branch
  * qgis-plugin-grass-common breaks earlier versions of qgis-common: add
    control fields.
  * include displacementplugin and offline editing plugin
  * add subversion as build dependency for trunk
  * add qgis-mapserver package
  * trim dependencies
 
 -- Jürgen E. Fischer <jef@norbit.de>  Sun, 17 Oct 2010 12:09:23 +0200

qgis (1.5.0) UNRELEASED; urgency=low

  * new development version 1.5 after branch
  * adapted Francesco Paolo Lovergine's updates to Debian qgis 1.4 package
  * require CMake >2.6 and Qt 4.4
  * remove circular dependencies
  * integrate new GRASS raster provider and remove dependency to
    libgdal1-$VERSION-grass
  * add spatialquery plugin
  * include qgis.g.browser in grass plugin
  * drop symbol tracking as C++ ABIs change too frequently
  * exclude python scripts from grass plugin on lenny
  * add missing dependency to python-sip(4) to python-qgis
  * follow sip4 => sip transition
  * add gdal-bin and python-gdal dependency for GdalTools
  * trim build dependencies

 -- Jürgen E. Fischer <jef@norbit.de>  Wed, 23 Jun 2010 18:34:25 +0200

qgis (1.4.0) UNRELEASED; urgency=low

  * new development version after 1.3 branch
  * use templates for configuration for ABIs and distributions
  * policy updated to 3.8.3
  * remove README.Debian from libqgis-dev
  * add symbol files for shared libraries
  * shorten qgis.sh
  * add all python files in qgis' site-packages
  * add labeling plugin

 -- Jürgen E. Fischer <jef@norbit.de>  Tue, 17 Nov 2009 16:27:53 +0100

=== debian/control ===
Source: qgis
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends:
 bison,
 cmake (>= 2.6),
 debhelper (>= 9),
 flex,
 grass-dev,
 libexpat1-dev,
 libfcgi-dev,
 libgdal1-dev,
 libgeos-dev (>= 3.0.0),
 libgsl0-dev,
 libpq-dev,
 libproj-dev,
 libqt4-dev (>=4.4.0),
 libqtwebkit-dev,
 libqwt5-qt4-dev,
 libspatialite-dev,
 libsqlite3-dev,
 pkg-config,
 pyqt4-dev-tools,
 python,
 python-dev (>= 2.6.6-3~),
 python-qt4 (>=4.1.0),
 python-qt4-dev (>=4.1.0),
 python-sip (>= 4.5.0),
 python-sip-dev (>= 4.5.0),
 subversion,
 doxygen,
 graphviz,
 txt2tags
Build-Conflicts: libqgis-dev, qgis-dev
Standards-Version: 3.9.3
X-Python-Version: current
Homepage: http://qgis.org/
Vcs-Git: git://git.debian.org/git/pkg-grass/qgis.git
Vcs-Browser: https://alioth.debian.org/

Package: qgis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qgis-providers (= ${binary:Version}), qgis-common (= ${source:Version})
Recommends: qgis-plugin-grass, python-qgis
Suggests: gpsbabel
Conflicts: uim-qt3, qgis (<= 1.6.0~)
Description: Geographic Information System (GIS)
 A Geographic Information System (GIS) manages, analyzes, and displays
 databases of geographic information. Quantum GIS (QGIS) supports shape file
 viewing and editing, spatial data storage with PostgreSQL/PostGIS, projection
 on-the-fly, map composition, and a number of other features via a plugin
 interface. QGIS also supports display of various georeferenced raster and
 Digital Elevation Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid,
 and USGS ASCII DEM.

Package: qgis-common
Architecture: all
Depends: ${misc:Depends}
Description: Quantum GIS - architecture-independent data
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use 
 with Quantum GIS.

Package: libqgis1.7.5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: qgis (<=0.9.2rc1), libqgis-core1, libqgis-gui1, libqgis0, libqgis1
Description: Quantum GIS - shared libraries
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains the shared core and gui library that provide an
 interface for plugins and stand-alone applications.

Package: libqgis-dev
Architecture: any
Section: libdevel
Depends:
 grass-dev,
 libexpat1-dev,
 libgdal1-dev,
 libgeos-dev (>= 3.0.0),
 libgsl0-dev,
 libpq-dev,
 libproj-dev,
 libqgis1.7.5 (= ${binary:Version}),
 libqt4-dev (>=4.4.0),
 libsqlite3-dev,
 python-qt4 (>=4.1.0),
 python-qt4-dev (>=4.1.0),
 qt4-designer (>=4.4.0), ${misc:Depends}
Provides: qgis-dev
Replaces: qgis-dev, libqgis1-dev, libqgis1.4.0-dev
Description: Quantum GIS - development files
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains the headers and libraries needed to develop plugins for
 Quantum GIS.

Package: qgis-plugin-grass
Architecture: any
Depends: 
 qgis (= ${binary:Version}), 
 qgis-plugin-grass-common (= ${source:Version}), 
 ${shlibs:Depends}, ${misc:Depends}, 
 grass
Description: GRASS plugin for Quantum GIS
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This plugin enables GRASS data access in the Quantum GIS geographic data
 viewer.

Package: qgis-plugin-grass-common
Architecture: all
Depends: python, ${misc:Depends}
Replaces: qgis-common (<< 1.5)
Breaks: qgis-common (<< 1.5)
Description: GRASS plugin for Quantum GIS - architecture-independent data
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains architecture-independent supporting data files for use
 with the Quantum GIS GRASS plugin.

Package: python-qgis
Section: python
Architecture: any
Depends: python-qt4 (>=4.1.0), python-sip (>= 4.5.0), python-qgis-common (= ${source:Version}), 
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python bindings to Quantum GIS
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains the files for the Python support.

Package: python-qgis-common
Section: python
Architecture: all
Provides: ${python:Provides}
Depends: gdal-bin, python-gdal, ${misc:Depends}
Description: Python bindings to Quantum GIS - architecture-independent files
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains architecture-independent files for the Quantum GIS
 Python bindings.

Package: qgis-providers
Architecture: any
Depends: qgis-providers-common (= ${source:Version}), ${shlibs:Depends},
 ${misc:Depends}
Replaces: qgis (<= 1.6)
Breaks: qgis (<= 1.6)
Description: collection of data providers to Quantum GIS
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains the provider plugins for Quantum GIS.

Package: qgis-providers-common
Architecture: all
Replaces: qgis-common (<= 1.6)
Breaks: qgis-common (<= 1.6)
Depends: ${misc:Depends}
Description: collection of data providers to Quantum GIS - architecture-independent files
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains architecture-independent files for the Quantum GIS
 providers.

Package: qgis-mapserver
Architecture: any
Depends: qgis-providers (= ${binary:Version}), ${shlibs:Depends}, 
 ${misc:Depends}
Description: Quantum GIS mapserver
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains the Quantum GIS mapserver.

Package: qgis-sqlanywhere1.7.5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Quantum GIS sql anywhere plugin and provider
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains the Quantum GIS sqlanywhere plugin and provider.

Package: qgis-api-doc
Architecture: all
Depends: ${misc:Depends}
Description: Quantum GIS API documentation
 Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
 and display databases of geographic information.
 .
 This package contains the Quantum GIS API documentation.

=== debian/watch ===
version=3
http://download.osgeo.org/qgis/src/qgis_(.*).tar.gz
